# udm_group – Manage of the posix group

- Synopsis
- Requirements
- Parameters
- Examples
- Status

## Synopsis

- This module allows to manage user groups on a univention corporate server (UCS). It uses the python API of the UCS to create a new object or edit it.

## Requirements

The below requirements are needed on the host that executes this module.

- Python >= 2.6

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
description - |  | Group description.
name - / required |  | Name of the posix group.
ou - |  | LDAP OU, e.g. school for LDAP OU `ou=school,dc=example,dc=com`.
position - |  | define the whole ldap position of the group, e.g. `cn=g123m-1A,cn=classes,cn=schueler,cn=groups,ou=schule,dc=example,dc=com`.

state
-

Choices:
- present ←
- absent

Whether the group is present or not.

subpath - |  | Subpath inside the OU, e.g. `cn=classes,cn=students,cn=groups`.

## Examples

    # Create a POSIX group
    - udm_group:
        name: g123m-1A

    # Create a POSIX group with the exact DN
    # C(cn=g123m-1A,cn=classes,cn=students,cn=groups,ou=school,dc=school,dc=example,dc=com)
    - udm_group:
        name: g123m-1A
        subpath: 'cn=classes,cn=students,cn=groups'
        ou: school
    # or
    - udm_group:
        name: g123m-1A
        position: 'cn=classes,cn=students,cn=groups,ou=school,dc=school,dc=example,dc=com'

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]
- This module is maintained by the Ansible Community. [community]

### Authors

- Tobias Rüetschi (@keachi)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.